<template>
  <VApp :dark="dark">
    <!-- Drawer -->
    <LDrawer />
    <!-- Header -->
    <LHeader />
    <!-- Content -->
    <RouterView />
    <!-- Footer -->
    <LFooter />
  </VApp>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

// State Management
import { store } from '@/observable';

// Components
import LDrawer from '@/components/layout/LDrawer.vue';
import LHeader from '@/components/layout/LHeader.vue';
import LFooter from '@/components/layout/LFooter.vue';

@Component({
  components: {
    LDrawer,
    LHeader,
    LFooter,
  },

  computed: {
    dark() {
      return store.dark;
    },
  },
})
export default class App extends Vue {
  dark!: boolean
}
</script>
